REST APIMint

GET

Returns chain-agnostic token summaries with asset details and mint/burn limits

Path Params

  • enterpriseId string required
    Enterprise ID to retrieve supported tokens for

Responses

200
OK

Response Body

object

  • tokens array of objects required
    tokens object
    • token string required
      Chain-agnostic token identifier
    • assets array of strings required
    • type string enum
      Asset type classification
      stablecointokenized-asset
    • minimumMintAmount string
      Minimum amount required to mint, in full units

      matches ^[0-9]+(\.[0-9]+)?$

    • minimumBurnAmount string
      Minimum amount required to burn, in full units

      matches ^[0-9]+(\.[0-9]+)?$

    • mintFeeBps string
      Mint fee in basis points (1 bps = 0.01%)

      matches ^[0-9]+$

    • burnFeeBps string
      Burn fee in basis points (1 bps = 0.01%)

      matches ^[0-9]+$

    • description string
      Public-facing description of the token
    • role string enum
      The enterprise's role for this token. Only present for issuer and partner enterprises.
      issuerpartner
    • issuerOrdersEnabled boolean
      Whether issuer orders are enabled for this token's base asset. Only present for issuer enterprises when enabled.
    • name string
      Human-readable name of the base asset
400
Bad Request
No response body
500
Internal Server Error
No response body